Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mozilla.javascript.ast
Enum FunctionNode.Form

    java.lang.Object
      java.lang.Enum<FunctionNode.Form>
          org.mozilla.javascript.ast.FunctionNode.Form

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FunctionNode.Form>

Enclosing class:
  FunctionNode

    public static enum FunctionNode.Form

extends java.lang.Enum<FunctionNode.Form>

Enum Constant Summary
`FUNCTION`
`GETTER`
`SETTER`

Method Summary
`static FunctionNode.Form` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FunctionNode.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FUNCTION

    public static final FunctionNode.Form FUNCTION

### GETTER

    public static final FunctionNode.Form GETTER

### SETTER

    public static final FunctionNode.Form SETTER

Method Detail

### values

    public static FunctionNode.Form[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FunctionNode.Form c : FunctionNode.Form.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FunctionNode.Form valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD